<div class="extend-determination">
  <app-content-banner [isDashboard]="false" pageName="Extend Determination"></app-content-banner>
  <form [formGroup]="extendDeterminatonForm" (ngSubmit)="onSubmit()">
    <mat-card class="exdet-main-card mat-elevation-z0">
      <mat-card-header fxLayout="column" fxLayoutGap="10px">
        <div fxLayout="row" class="second-header-filter">
          <span><b>First Name: </b> <span>{{clientInfo.firstName}}</span></span>
          <span><b>Last Name: </b> <span>{{clientInfo.lastName}}</span></span>
          <span><b>DOB: </b> <span>{{clientInfo.dob}}</span></span>
          <span><b>SSN: </b> <span>{{clientInfo.ssn}}</span></span>
          <span><b>Source System: </b> <span>{{clientInfo.clientSourceDescription}}</span></span>
          <span><b>Client#: </b> <span>{{clientInfo.clientID}}</span></span>
        </div>
      </mat-card-header>



      <mat-card-content>
        <div class="example-small-box " fxLayout="column">
            <mat-accordion>
                <mat-expansion-panel [expanded]="true">
                  <mat-expansion-panel-header>
                    <mat-panel-title>
                      <span>
                          Application Determination
                      </span>
                    </mat-panel-title>
                  </mat-expansion-panel-header>
                      <ag-grid-angular #agGrid id="myGrid" style="width: 100%" class="ag-theme-balham my-grid" [columnDefs]="columnDefs"
                        [defaultColDef]="defaultColDef" [rowData]="determinationInfoData" [rowSelection]="rowSelection"
                        [suppressRowClickSelection]="true" [animateRows]="true" [gridOptions]="determinationinfogridOptions"
                        [pagination]="true" [paginationPageSize]="10" (rowSelected)="onDeterminationInfogridRowSelected($event)"
                        [frameworkComponents]="frameworkComponents" (gridReady)="onGridReady($event)"
                        [overlayLoadingTemplate]="overlayLoadingTemplate" [overlayNoRowsTemplate]="overlayNoRowsTemplate"></ag-grid-angular>
                </mat-expansion-panel>
              </mat-accordion>
        </div>
      </mat-card-content>

      <mat-card-content *ngIf="enableUpdate === true">
          <div class="example-small-box " fxLayout="column">
          <mat-accordion>
              <mat-expansion-panel [expanded]="true">
                <mat-expansion-panel-header>
                  <mat-panel-title>
                    <span>
                        Extend Determination History
                    </span>
                  </mat-panel-title>
                </mat-expansion-panel-header>
                <ag-grid-angular #agGrid id="myGrid1" style="width: 100%" class="ag-theme-balham my-grid" [columnDefs]="extendApprovalPeriodDef"
                [defaultColDef]="defaultColDef" [rowData]="extendApprovalPeriodData" [rowSelection]="rowSelection"
                [suppressRowClickSelection]="true" [animateRows]="true" [gridOptions]="extendApprovalPeriodgridOptions"
                [pagination]="true" [paginationPageSize]="10" (rowSelected)="onRowSelected($event)" [frameworkComponents]="frameworkComponents"
                (gridReady)="extendApprovalPeriodGridReady($event)" (firstDataRendered)="onFirstDataRendered($event)"
                [overlayLoadingTemplate]="overlayLoadinghistoryTemplate" [overlayNoRowsTemplate]="overlayNoRowshistoryTemplate"></ag-grid-angular>
                   </mat-expansion-panel>
            </mat-accordion>
        </div>
      </mat-card-content>
      <mat-card-content *ngIf="enableUpdate === true">
        <div class="example-small-box" fxLayout="column">
          <div class="example-container ">
            <div fxLayout="row" >

                <div fxFlex="15" class="col" >
                    <label class="lblstyle required-label-color" style="padding-left: 20px">New Approval End Date :</label>
                  </div>
                  <div fxFlex class="col2">
                    <mat-form-field appearance="outline" fxFlex="20" class="regular-mat-form-field">
                        <input matInput [matDatepicker]="picker" formControlName="approvalEndDateCtrl" dateOnly placeholder="MM/DD/YYYY"
                        maxlength="10" [min]="approvalmindate" [max]="approvalmaxdate" (change) ="validateApprovalEndDate()">
                     <mat-icon matSuffix (click)="picker.open()" style="cursor:pointer; color:#777;">today
                     </mat-icon>
                     <mat-datepicker #picker></mat-datepicker>
                    </mat-form-field>
                  </div>
              </div>  
            
            <div fxLayout="row">
                <div fxFlex="15" class="col">
                    <label class="lblstyle required-label-color" style="padding-left: 20px">Extension Reason : </label>
                  </div>
                  <div fxFlex class="col2-explain2">
                    <mat-form-field appearance="outline" fxFlex="50" class="regular-mat-form-field">
                      <textarea rows="2" maxlength="250" matInput #extendReasonCtrl formControlName="extendReasonCtrl"
                        required></textarea>
                      <mat-hint>(Maximum entry of 250 characters;
                        {{250 - extendReasonCtrl.value?.length || 0}} characters remaining)</mat-hint>
                    </mat-form-field>
                  </div>
            </div>
          </div>
        </div>

      </mat-card-content>
      <div fxFlex fxLayout="row" style="margin: 5px; margin-top: 20px; " fxLayoutGap="10px">
        <div *ngIf="enableUpdate === true"><button  mat-raised-button color="primary" style="width: 180px;" (click)="OnSave($event)"> Extend Determination</button></div>
        <div *ngIf="enableUpdate === true"><button  mat-raised-button color="primary" type="button" style="width: 180px;" (click)="clearPage()">Clear</button></div>
        <div ><button  mat-raised-button color="primary" type="button" style="width: 180px;" (click)="exitPage()">Exit</button></div>
    </div>
      
   <!-- <app-nav-footer [isSaveRequired]="enableUpdate" [isExitRequired]="true" [isPreviousRequired]="false" [isClearRequired]="enableUpdate"
        [isNextRequired]="false" (Exitbtn)="exitPage()" (Clearbtn)="clearPage()" (Savebtn)="OnSave($event)"></app-nav-footer>-->

    </mat-card>
  </form>
</div>